Skip to main content

Gateways

Overview​

ENDPOINT/admin/api/nexbro/v1/call/gateways
Methods SupportedGET
DescriptionThis endpoint is used to retrieve the list of gateways configured in Nexbro.

Response Codes​

The following response codes are returned by the API.

HTTP CODESummaryDescription
200HTTP_OKReturned when the gateways fetch request is processed successfully.
500INTERNAL_SERVER_ERRORReturned when an unexpected error occurs on the server while processing the request.

Example​

cURL
curl --location 'https://your-nexbro-domain.com/admin/api/nexbro/v1/gateways' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: sk_live_tTD9RQfK2q2pdsqIEIca53y3gkGll1brp0mWLMeG6vnmrDHYZ1ThOupslBHg'
Response
{
"message": "Success.",
"data": [
{
"gateway": "Dinstar",
"gateway_uuid": "a8e0a4e5-16f8-421a-80d7-f147f74f8c01"
}
]
}